#
# spec file for package wordcut (Version 0.5.1b2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           wordcut
BuildRequires:  freetype2-devel xorg-x11-devel
Version:        0.5.1b2
Release:        18.2
License:        BSD
Group:          System/Libraries
Autoreqprov:    on
Provides:       locale(th)
URL:            http://thaiwordseg.sourceforge.net/
Source0:        http://belnet.dl.sourceforge.net/sourceforge/thaiwordseg/wordcut-0.5.1b2.tar.bz2
Patch0:         bugzilla-152315-locale-variable-used-before-set.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Thai word segmentation utility.

%description
Thai word segmentation utility.



Authors:
--------
    Vee Satayamas <virasj@users.sourceforge.net>

%debug_package
%package devel
Summary:        Include Files and Libraries mandatory for Development.
Group:          System/Libraries
Requires:       %{name} = %{version}

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    Vee Satayamas <virasj@users.sourceforge.net>

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
libtoolize --force
autoreconf --force --install --verbose
CFLAGS="$RPM_OPT_FLAGS"
CXXFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=/usr \
            --sysconfdir=%{_sysconfdir} \
	    --libdir=%{_libdir} \
	    --datadir=%{_datadir} 
make 

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
#[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_bindir}/*
%{_libdir}/libwordcut.so.*
%dir %{_datadir}/wordcut/
%{_datadir}/wordcut/*

%files devel
%defattr(-, root, root)
/usr/include/*
%{_libdir}/libwordcut.so
%{_libdir}/libwordcut.*a
%{_libdir}/pkgconfig/*

%changelog -n wordcut
* Wed Mar 01 2006 - mfabian@suse.de
- add "Provides: locale(th)".
* Thu Feb 23 2006 - mfabian@suse.de
- Bugzilla #152315: "local variable used before set".
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Aug 16 2004 - mfabian@suse.de
- new package: wordcut, version 0.5.1b2
